 
// ----------------------------------------------------------------------------------------------------------- 
// tab management 
// ----------------------------------------------------------------------------------------------------------- 

var arrTabs = new Array(
	new Array("Common", "../bin/LoadCommon.php"),
	new Array("Connection", "../bin/LoadConnection.php"),
	new Array("Resource", "../bin/LoadResource.php"),
	new Array("Dialplan", "../bin/LoadDialplan.php"),
	new Array("Session", "../bin/LoadSession.php"),
	new Array("Subscriber", "../bin/LoadSubscriber.php"),
	new Array("Logout", "../com/process.php"),
	new Array("", "")
);

var activeTab = -1;//getCookie("activetab");
var searchTab = -1;
for (var i = 0; i < arrTabs.length; i++) {
	//alert(arrTabs[i][1] + " " + document.location.pathname);
	//if (arrTabs[i][1] == document.location.pathname) {
	if ( -1 < document.location.pathname.indexOf( (arrTabs[i][1]).replace('..','') ) ) {
		searchTab = i;
		break;
	}
}
if (searchTab != -1) {
	activeTab = searchTab;
} else {
	if ((activeTab < 0) || (activeTab >= arrTabs.length)) {
		activeTab = 0;
	}
}

function click_tab(tab, showonly) {
	//alert("1 = " + tab);
	var obj = document.getElementById("navmenu");
	var objs = obj.getElementsByTagName("DIV");
	for (var i = 0; i < objs.length; i++) {
		if (objs[i].id.indexOf("tab") > -1) {
			objs[i].className = "unselected-tab";
		}
	}
	//alert("activeTab = " + tab + " / showonly = " + showonly);
	activeTab = tab;
	obj = document.getElementById("tab" + tab);
	obj.className = "selected-tab";
	if (showonly == 0) {
		//setCookie("activetab", activeTab);
		//alert(arrTabs[activeTab][1]);
		top.location = arrTabs[activeTab][1];
	}
}

var lastBC;
function L(TopicID) {
	var obj = document.getElementById(TopicID);
	lastBC = obj.style.backgroundColor;
	obj.style.backgroundColor = "#ddd";
}
function D(TopicID) {
	var obj = document.getElementById(TopicID);
	obj.style.backgroundColor = lastBC;
}

// ----------------------------------------------------------------------------------------------------------- 
// 
// ----------------------------------------------------------------------------------------------------------- 

function GetSelectedString(strparam, strval) {
	if (strparam == strval)
		return ' selected ';
	else
		return "";
}

function AddTableRow(table_body_obj, row_label_text, row_content_text, label_align_top) {
	if (!table_body_obj)
		return false;

	var tr = document.createElement("tr");
	var td = document.createElement("td");
	if (label_align_top != true)
		td.className = "editLineParam";
	else
		td.className = "editLineParamTop";
	td.innerHTML = row_label_text;
	tr.appendChild(td);
	td = document.createElement("td");
	td.className = "editLineValue";
	td.innerHTML = row_content_text;
	tr.appendChild(td);
	table_body_obj.appendChild(tr);

	return true;
}


function AddTableSimpleCell(row,row_id,style,val){
	var td = document.createElement("td");
	td.className = "infoTableCell";
	//td.style = "background: red";
	//td.style = style;
	td.className = style;
	//td.innerHTML =	'<div row_id=' + row_id + ' col_id="id" class="SimpleCell">' + val + '</div>';
	if(val == null) val = '';
	td.innerHTML =	'<div row_id=' + row_id + ' col_id="id" >' + val + '</div>';
	row.appendChild(td);
}



// ----------------------------------------------------------------------------------------------------------- 
// 		NULL VALUE CELL PROCESSING
// ----------------------------------------------------------------------------------------------------------- 

function getInputClass(val){
	if(val == null){
		class_str = " \"inputTableCellNull inputTableCellNullHide inputTableCellNullChecked\" readonly ";
	} else {
		class_str = " \"inputTableCellNull inputTableCellNullHide inputTableCellNullUnchecked\" ";
	}
	return class_str;
}
function getCheckboxClass(val){
	if(val == null){
		class_str = " \"checkTableCellNull checkTableCellNullHide\" checked title=\"unset null\" ";
	} else {
		class_str = " \"checkTableCellNull checkTableCellNullHide\" title=\"set null\" ";
	}
	return class_str;
}

function inputTableCellNullFocus(obj){
	//$('input.inputTableCellNull').removeClass( "inputTableCellNullShow" ).addClass( "inputTableCellNullHide" );
	var ch = $(obj).next('[type=checkbox]')[0];
	$(obj).removeClass( "inputTableCellNullHide" ).addClass( "inputTableCellNullShow" );
	$(ch).removeClass( "checkTableCellNullHide" ).addClass( "checkTableCellNullShow" );
}

function inputTableCellNullBlur(obj){
	var ch = $(obj).next('[type=checkbox]')[0];
	var ac = document.activeElement;
	if( ac != ch ){
		$(obj).removeClass( "inputTableCellNullShow" ).addClass( "inputTableCellNullHide" );
		$(ch).removeClass( "checkTableCellNullShow" ).addClass( "checkTableCellNullHide" );
	}
}
function checkTableCellNullBlur(obj){
	var inp = $(obj).prev('input[type=text]')[0];
	var ac = document.activeElement;
	if( ac != inp ){
		$(inp).removeClass( "inputTableCellNullShow" ).addClass( "inputTableCellNullHide" );
		$(obj).removeClass( "checkTableCellNullShow" ).addClass( "checkTableCellNullHide" );
	}
}

function checkTableCellNullSet(obj){
	var inp = $(obj).prev('input[type=text]')[0];
	//EdtDBOption(inp);
	if(obj.checked) {
		obj.setAttribute('title','unset null');
		inp.value = "null";
		inp.setAttribute("readonly","true");
		/*$(inp).css("background", "var(--grey-light)");
		$(inp).css("color", "var(--grey-light)");*/
		$(inp).removeClass( "inputTableCellNullUnchecked" ).addClass( "inputTableCellNullChecked" );
	} else {
		obj.setAttribute('title','set null');
		inp.value = "";
		inp.removeAttribute('readonly');
		/*$(inp).css("background", "#fff");
		$(inp).css("color", "var(--grey-dark)");
		inp.focus();*/
		$(inp).removeClass( "inputTableCellNullChecked" ).addClass( "inputTableCellNullUnchecked" );
	}
}
//-------------------------------------------------------------------------------------------------------------------






//-------------------------------------------------------------------------------------------------------------------
// checkboxes 
//-------------------------------------------------------------------------------------------------------------------
//global variables that can be used by ALL the function son this page.
var inputs;
var imgFalse = '../inc/img/check_off.gif';
var imgTrue = '../inc/img/check_on.gif';
var imgFalseD = '../inc/img/check_offd.gif';
var imgTrueD = '../inc/img/check_ond.gif';

function init() {
	replaceChecks();
}

function replaceChecks() {
	inputs = document.getElementsByTagName("input");
	for (var i = 0; i < inputs.length; i++) {
		if (inputs[i].getAttribute("type") == "checkbox") {

			if( document.getElementById("checkImage_"+inputs[i].id) ) continue; // avoid duplication of checkImage
			
			var img = document.createElement("img");
			img.className = "imglink";
			img.style.verticalAlign = "middle";
			img.src = inputs[i].checked ? (inputs[i].disabled ? imgTrueD : imgTrue) : (inputs[i].disabled ? imgFalseD : imgFalse);
			img.id = "checkImage_" + inputs[i].id;
			img.onclick = new Function("checkChange('" + inputs[i].id + "')");
			inputs[i].parentNode.insertBefore(img, inputs[i]);
			// если display = none то не показывать флажок
			if(inputs[i].style.display == 'none') img.style.display = "none";
			inputs[i].style.display = "none";
		}
	}
}


//change the checkbox status and the replacement image
function checkChange(cb) {
	//alert(cb);
	var cbo = document.getElementById(cb);
	var cbi;
	if (cbo && !cbo.disabled) {
		if (cbo.checked) {
			cbo.checked = '';
			cbo.value = 0;
			cbi = document.getElementById('checkImage_' + cb);
			if (cbi)
				cbi.src = imgFalse;
		} else {
			cbo.checked = 'checked';
			cbo.value = 1;
			cbi = document.getElementById('checkImage_' + cb);
			if (cbi)
				cbi.src = imgTrue;
		}
	}
	cbo.onchange();
}

function ToggleCheckBox(cb) {
	checkChange(cb);
	/*var cbo = document.getElementById(cb);
	 if (cbo) {
	 cbo.checked = !cbo.checked;
	 }*/
}

function checkSetValue(cb,key){
	var cbo = document.getElementById(cb);
	var cbi = document.getElementById('checkImage_' + cb);
	if (key == 1) {
		cbo.checked = 'checked';
		cbo.value = 1;
		if (cbi) cbi.src = imgTrue;
	} else {
		cbo.checked = '';
		cbo.value = 0;
		if (cbi) cbi.src = imgFalse;
	}
}

//-------------------------------------------------------------------------------------------------------------------

